###################################################
### chunk number 1: CitationData
###################################################
#line 135 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
library(BradleyTerry2)
data(citations)


###################################################
### chunk number 2: CitationData2
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
citations


###################################################
### chunk number 3: countsToBinomial
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
citations.sf <- countsToBinomial(citations)
names(citations.sf)[1:2] <- c("journal1", "journal2")
citations.sf


###################################################
### chunk number 4: citeModel
###################################################
#line 163 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
citeModel <- BTm(cbind(win1, win2), journal1, journal2, ~ journal, id = "journal", data = citations.sf)
citeModel


###################################################
### chunk number 5: citeModelupdate
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
update(citeModel, refcat = "JASA")


###################################################
### chunk number 6: springall
###################################################
#line 226 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
options(show.signif.stars = FALSE)
data(springall)
summary(springall.model <- BTm(cbind(win.adj, loss.adj), col, row,
                               ~ flav[..] + gel[..] +
                                 flav.2[..] + gel.2[..] + flav.gel[..] +
                                 (1 | ..),
                               data = springall))


###################################################
### chunk number 7: baseball
###################################################
#line 300 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
data(baseball)
head(baseball)


###################################################
### chunk number 8: baseballModel
###################################################
#line 311 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
data(baseball)
baseballModel1 <- BTm(cbind(home.wins, away.wins), home.team, away.team,
                      data = baseball, id = "team")
summary(baseballModel1)


###################################################
### chunk number 9: baseballDataUpdate
###################################################
#line 325 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
baseball$home.team <- data.frame(team = baseball$home.team, at.home = 1)
baseball$away.team <- data.frame(team = baseball$away.team, at.home = 0)


###################################################
### chunk number 10: baseballModelupdate
###################################################
#line 333 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
baseballModel2 <- update(baseballModel1, formula = ~ team + at.home)
summary(baseballModel2)


###################################################
### chunk number 11: CEMSmodel
###################################################
#line 360 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
data(CEMS)
table8.model <-  BTm(outcome = cbind(win1.adj, win2.adj),
                     player1 = school1, player2 = school2,
                     formula = ~ .. +
                         WOR[student] * LAT[..] +
                         DEG[student] * St.Gallen[..] +
                         STUD[student] * Paris[..] +
                         STUD[student] * St.Gallen[..] +
                         ENG[student] * St.Gallen[..] +
                         FRA[student] * London[..] +
                         FRA[student] * Paris[..] +
                         SPA[student] * Barcelona[..] +
                         ITA[student] * London[..] +
                         ITA[student] * Milano[..] +
                         SEX[student] * Milano[..],
                     refcat = "Stockholm",
                     data = CEMS)


###################################################
### chunk number 12: BTabilities
###################################################
#line 397 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
BTabilities(baseballModel2)


###################################################
### chunk number 13: BTabilities2
###################################################
#line 406 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
BTabilities(springall.model)


###################################################
### chunk number 14: residuals
###################################################
#line 433 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
res.pearson <- round(residuals(springall.model), 3)
head(cbind(springall$contests, res.pearson))


###################################################
### chunk number 15: BTresiduals
###################################################
#line 443 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
res <- residuals(springall.model, type = "grouped")
#  with(springall$predictors, plot(flav, res))
#  with(springall$predictors, plot(gel, res))


###################################################
### chunk number 16: residualWLS
###################################################
#line 457 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
lm(res ~ flav, weights = attr(res, "weights"), data = springall$predictors)
lm(res ~ gel, weights = attr(res, "weights"), data = springall$predictors)


###################################################
### chunk number 17: functions
###################################################
#line 561 "d:/Rcompile/CRANpkg/local/2.12/BradleyTerry2/inst/doc/BradleyTerry.Rnw"
## cf. prompt
for (fn in getNamespaceExports("BradleyTerry2")) {
    name <- as.name(fn)
    args <- formals(fn)
    n <- length(args)
    arg.names <- arg.n <- names(args)
    arg.n[arg.n == "..."] <- "\\dots"
    is.missing.arg <- function(arg) typeof(arg) == "symbol" &&
        deparse(arg) == ""
    Call <- paste(name, "(", sep = "")
        for (i in seq_len(n)) {
        Call <- paste(Call, arg.names[i], if (!is.missing.arg(args[[i]]))
            paste(" = ", paste(deparse(args[[i]]),
                collapse = "\n"), sep = ""), sep = "")
        if (i != n)
            Call <- paste(Call, ", ", sep = "")
    }
    Call <- paste(Call, ")", sep = "")
    cat(deparse(parse(text = Call)[[1]]), fill = TRUE)
}


